Application Delivery (ADX)

Reply
Contributor
Posts: 49
Registered: ‎04-24-2009

Do I have to use the same software release at all ServerIrons which are part of a GSLB setup?

Or is it possible to have different releases?

Super Contributor
Posts: 316
Registered: ‎05-01-2009

Re: Do I have to use the same software release at all ServerIrons which are part of a GSLB setup?

It is recommended to have the same software at ALL ServerIrons in a GSLB setup. Out of the documentation:

NOTE: All the ServerIron ADXs in the GSLB configuration (the GSLB ServerIron ADX and the remote site ServerIron ADX) must be running the same software release.

The reason for this is pretty simple: the underlying GSLB protocol data format might change and this might influence the communicatin negatively.

Occasional Contributor
Posts: 5
Registered: ‎06-28-2009

Re: Do I have to use the same software release at all ServerIrons which are part of a GSLB setup?

I really agree with the statement, that the same software release has to be running!

This sounds very logical!

But in another thread I have found the following:

-------------------------------------------------------------------------------------------------------

GSLB in between ADX and older SIs - possible?

The following combinations are supported according to my knowledge:

•ADX as controller and ADX as site
•ADX as controlller and JetCore as site
•ADX as site and JetCore as controller
-------------------------------------------------------------------------------------------------------

Does this mean, that the same software release has to be running only on each site???

For example:

•1 site with ADX devices has to run maybe 12.1.00

•another site with JetCore devices can also run 10.2.01m

•and a third site also with JetCore devices can run 10.2.01j

Does this work???

Or do I also need to setup all JetCore devices with the same software release???

Occasional Contributor
Posts: 89
Registered: ‎03-02-2009

Re: Do I have to use the same software release at all ServerIrons which are part of a GSLB setup?

Their is not a strict requirement that all sites and controllers need to run the same version. Generally speaking, as long as any site ServerIron is using a release later than 8.2x, the gslb will work fine as the gslb protocol was implemented to be extensible. Of course, depending on the release, certain value-add features may not be available (e.g optimized VIP list processing) which is why we recommend clients move to the latest releases across all platforms in GSLB setup.

Paul.

Occasional Contributor
Posts: 5
Registered: ‎06-28-2009

Re: Do I have to use the same software release at all ServerIrons which are part of a GSLB setup?

So can I come to the following conclusions?

- GSLB in between ADX and JetCore SIs is possible under the combinations described in the other thread.

- GSLB will work with different software versions.

- At the best all ADX and JetCore SIs are working with the same/latest software releases.

Do you agree?

Occasional Contributor
Posts: 89
Registered: ‎03-02-2009

Re: Do I have to use the same software release at all ServerIrons which are part of a GSLB setup?

agreed

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.